%global momorel 1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		anki
Version:	2.0.36
Release:	%{momorel}m%{?dist}
Summary:	Flashcard program for using space repetition learning

Group:		Amusements/Games
License:	GPLv3+ and MIT
URL:		http://ankisrs.net/
Source0:	http://ankisrs.net/download/mirror/%{name}-%{version}.tgz
NoSource:       0

Source1:	anki.svg
Source2:	anki.appdata.xml

# Config change: don't check for new updates.
Patch0:		anki-2.0.3-noupdate.patch
BuildRequires:	python2-devel, python-setuptools, python-sqlalchemy
BuildRequires:	desktop-file-utils, PyQt4, python-simplejson
Requires:	hicolor-icon-theme
Requires:	qt4, PyQt4
Requires:	python-sqlalchemy, python-simplejson
Requires:	python-matplotlib
Requires:	pygame, python-BeautifulSoup, python-httplib2 >= 0.9
Requires:	pyaudio, sox
BuildArch:	noarch

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
mv thirdparty/send2trash .
rm -rf thirdparty
%patch0 -p1 -b .noupdate

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f aqt/*.noupdate
rm -f aqt/*.fix-browserview
cp -R aqt %{buildroot}%{_datadir}/%{name}/
cp -R designer %{buildroot}%{_datadir}/%{name}/
cp -R anki %{buildroot}%{_datadir}/%{name}/
cp -R locale %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/thirdparty
cp -R send2trash %{buildroot}%{_datadir}/%{name}/thirdparty/

install -d %{buildroot}%{_bindir}
install -m 755 runanki %{buildroot}%{_bindir}/anki

install -d %{buildroot}%{_pkgdocdir}
install -m 644 LICENSE* %{buildroot}%{_pkgdocdir}/
install -m 644 README* %{buildroot}%{_pkgdocdir}/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 anki.xml %{buildroot}%{_datadir}/mime/packages

install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

install -d %{buildroot}%{_mandir}/man1
install -m 644 anki.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/appdata
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/

desktop-file-install \
  --remove-category=KDE \
  --set-key=Keywords --set-value="learn;education;memorizing;language;flashcard;spaced repetition;" \
  --dir %{buildroot}%{_datadir}/applications \
  %{name}.desktop

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/share/anki/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:\(.*/share/anki/locale/qt_\)\([^.]\+\)\(\.qm\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > anki.lang

find %{buildroot}/usr/share/anki/locale -type d|sed '
s:'"%{buildroot}"'::
s:\(.*\):%dir \1:' >>anki.lang

%post
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
  /usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc LICENSE.* README*
%{_bindir}/anki
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/aqt/
%{_datadir}/%{name}/designer/
%{_datadir}/%{name}/anki/
%{_datadir}/%{name}/thirdparty/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.*
%{_datadir}/mime/packages/anki.xml
%{_mandir}/man1/%{name}.*
%{_datadir}/appdata/anki.appdata.xml

%changelog
* Wed Nov 09 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.36-1m)
- update to 2.0.36

* Mon Apr  6 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.32-1m)
- update to 2.0.32
- spec sync with fc22
- add Requires python-httplib2 >= 0.9

* Mon May  2 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2.8-1m)
- update to 1.2.8

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-6m)
- rebuild for new GCC 4.6

* Fri Apr  8 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-5m)
- add BuildRequires

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-4m)
- rebuild for new GCC 4.5

* Wed Sep 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-3m)
- rebuild against qt-4.7.0-0.2.1m

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-2m)
- full rebuild for mo7 release

* Wed Aug  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Tue Jul 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.9.8.6-1m)
- update to 0.9.9.8.6

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.9.8.4-3m)
- rebuild against qt-4.6.3-1m

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9.8.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Jun 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9.8.4-1m)
- import from Fedora 11
- update to 0.9.9.8.4

* Mon May 25 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.9b-1
- Update to new upstream version 0.9.9.7.9b to fix a syncing bug

* Tue May 12 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.9-1
- Update to new upstream version 0.9.9.7.9 to fix an update problem of the 
statusbar and of the titlebar

* Thu May 07 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.8-2
- Updated noupdate patch

* Wed May 06 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.8-1
- Update to new upstream version 0.9.9.7.8

* Sat Apr 11 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.4-1
- Update to new upstream version 0.9.9.7.4 (BZ 494598)
- Require python-matplotlib instead of numpy (BZ 495232)

* Wed Apr 01 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.7.1-1
- Update to new upstream version 0.9.9.7.1
- Drop unihaninstall patch (applied upstream)
- Updated noupdate patch
- Use original upstream tgz since upstream doesn't ship the example files
anymore

* Sun Mar 01 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.6-4
- Bump release

* Fri Feb 27 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.6-3
- Proper packaging of locale files

* Fri Feb 13 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.6-2
- Fixed license field
- Install unihan.db

* Wed Feb 11 2009 Christian Krause <chkr@fedoraproject.org> - 0.9.9.6-1
- First spec file for anki
